/* Basefarve: 454D59 */

* {
  box-sizing: border-box;
  --stdBlack: #333;
  --stdWhite: #EEE; 
  --stdDark: #454D59;
  --stdLight: #81B3F5AA;
  --stdLightOpac: #81B3F533;
}

a:link {
  color: #a6a8ac;
  background-color: transparent;
  text-decoration: underline;
}
a:visited {
  color: #7F858F;
  background-color: transparent;
  text-decoration: underline;
}
a:hover {
  color: #D9C8BD;
  background-color: transparent;
  text-decoration: underline;
}

.ikonos p {
  margin: 0;
}

.kilder {
  background: #ddd no-repeat center fixed;
  /* background-image: linear-gradient(45deg, rgb(247, 247, 217), #ede, #ddd); */
  /* background-color: rgba(204, 226, 255, 0.5); */
  font-size: 1em;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}


.kilder p {
  transition: all .4s ease-in-out;
}

.kilder p:hover {
  transform: scale(1.02);
}

hr {
  border: 0;
  height: 1px;
  background: #333;
  background-image: linear-gradient(to right, var(--stdWhite), var(--stdBlack), var(--stdWhite));
}

.searchBar {
  overflow: hidden;
  background-color: var(--stdDark);
  top: 0;
  width: 105%;
  height: 90px;
  position: fixed;
  z-index: 10;
  margin: -10px 0 0 -10px;
}

.searchBar input {
  margin: 30px 10% auto 5%;
  width: 85% !important;
}

.searchWindow {
  height: 95%;
  width: 100%;
  border: none;
}

/*      vvvv    Navbar   vvvv      */

.navIcon {
  position: relative;
  display: inline-block;
}

.navbar {
  /* overflow: hidden; */
  background-color: black;
  top: 0;
  width: 105%;
  z-index: 10;
  margin: -10px 0 0 -10px;
  text-align: center;
}

.navbar ul {
  padding: 0;
  margin: 0;
}


.navbar li {
  list-style-type: none;
	padding: 0;
  display: inline;
}

.navbar li a {
  display: inline-block;
  padding: 10px 0 0;
  transition: all .4s ease-in-out;
}

li.dropdown {
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: var(--stdBlack);
}

.dropdown:hover .dropdown-content {
  display: block;
}

.navbar li a:hover {
  /* background: rgb(95, 94, 94);          Grå baggrund ved hover i topbar*/
  transform: scale(1.2); 
  opacity: 0.8; 
}

/*      vvvv    tekstbokse   vvvv      */

.textbox {
  max-width: 800px;
  margin: auto;
  border: 3px solid black;
  padding: 15px;
  font-family: Georgia, 'Times New Roman', Times, serif;
  font-size: 18px;
  line-height: 1.2;
  text-align: left;
  color: #ADA68C;
  background-color: #5E6672;
}

.textbox p {
  margin: 3px 0 0 0;
}

.vers {
  max-width: 600px;
  text-align: center;
  margin: 0 auto;
}

/*      vvvv    Left buttons   vvvv      */

.btn-group button {
  background-color: #878066;
  border: none;
  border-left: 10px solid #ADA68C;
  padding: 10px 24px;
  margin: 10px 0 10px auto;
  cursor: pointer;
  width: 80%;
  max-width: 250px;
  display: block;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 15px;
  visibility: hidden;
  color: var(--stdBlack);
  transition: all .2s ease-in-out;
  /* box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .12), 0 1px 2px 0 rgba(0, 0, 0, .24); */
}

.tekst.btn-group {
    list-style-type:none;
    margin: 80px 10px auto auto;
    height: 85%;
    overflow-y: auto;
    display: block;
    position: fixed;
}

/* .btn-group button {
    
} */

.btn-group a button:link {
    background-color: transparent;   /*    gennemsigtig baggrund på tekst  */
}

.btn-group a button:hover {
    color: var(--stdBlack);               /*  tekstfarve ved hover  */
    background-color: #D9D4BD;   /*  knapfarve ved hover   */
    border-left: 10px solid #878066;
    text-decoration: none;
    transform: scale(1.1);
    /* box-shadow: 0 3px 9px 0 rgba(0, 0, 0, .12), 0 3px 6px 0 rgba(0, 0, 0, .24); */
}

.btn-group a:link {
  text-decoration: none;   /* ingen underline på link ved hover  */
}

/*      vvvv    Main   vvvv      */
html {
  /* background: url("baggrund.jpg") no-repeat center fixed;  */ /* gammel "papyrus"-baggrund */
  background-color: #1A2432; 
  /* background: url("baggrund.jpg") repeat center; */  */ billedcollage-baggrund /*
  background-size: 100%;
  /* background-color: #ffffff; */
  /* opacity: 0.7; */
  /* background: #ffff3332; */
}

.col-6 {
  /* background-color: var(--stdLightOpac); */
  background-color: rgba(41, 57, 79);
}

h2 {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-weight: bold;
  font-size: 45px;
  text-align: left;
  line-height: 1.4;
  padding: 0;
  margin: 15px 0 0 0;
  color: #a6a8ac;
  width: 100%;
  align-content: left;
  /* text-shadow: 4px 4px 12px #aaa; */
}

h3 {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-weight: bold;
  font-size: 25px;
  text-align: left;
  line-height: 1;
  padding: 0;
  margin: 15px 0 0 0;
  color: #a6a8ac;
  width: 100%;
  align-content: left;
  /* text-shadow: 4px 4px 12px #aaa; */
}

h4 {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-weight: bold;
  font-size: 20px;
  text-align: left;
  line-height: 1;
  padding: 0;
  margin: 15px 0 0 0;
  color: #a6a8ac;
  width: 100%;
  align-content: left;
  /* text-shadow: 4px 4px 12px #aaa; */
}

h5 {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-weight: bold;
  font-size: 18px;
  text-align: left;
  line-height: 1;
  padding: 0;
  margin: 15px 0 0 0;
  color: #a6a8ac;
  align-content: left;
  /* text-shadow: 4px 4px 12px #aaa; */
  display: inline;
}

.ikonos img {
  float: left;
  margin: -10px 0 0 !important;
  padding: 0 10px 0 0;
}

figure img {
  width: 100%;
  height: auto;
}

figure {
  width: 100%;
  max-width: 800px;
  background-color: rgba(41, 40, 37, 0.664);
  float: none;
  border-style: solid;
  border-color: rgb(38, 38, 38);
  margin: 0 auto 10px;
  font-style: italic;
  font-size: 15px;
  padding: 10px;
}


.topIcon {
  max-width: 100%;
  height: 35px;
  right: 35px;
  display: inline-block;
}

.bottom {
  text-align: center;
}

.bottomIcon {
  width: 20%;
  position: relative;
  display: inline-block;
  cursor: pointer;
  margin-left: 12%;
  margin-right: 12%;
}

[class*="col-"] {
  float: left;
  padding: 15px;
}

.col-10 {
  width: 92%;
  padding: 0;
  margin: -20px 0 0 0;
}

.stedikoner {
  /* -webkit-filter: drop-shadow(8px 8px 10px#888888);
  filter: drop-shadow(8px 8px 10px #888888);  */
  vertical-align: text-bottom;
  float: none !important;
  margin: 0 !important;
}

.tekst {
  font-family: Georgia, 'Times New Roman', Times, serif;
  font-size: 20px;
  line-height: 1.5;
  margin: auto;
  text-align: justify;
  padding: 0 20px 0 20px;
  height: 100%;
  color: rgb(165, 151, 114);
}

.modalSourceInnerStyle {
  line-height: 1.5;
  text-align: justify;
  color: var(--stdBlack);
  height: 95%;
  width: 80%;
  margin: 0 0 0 10%;
  padding: 20px;
  overflow: auto;
}

.modalIframeInnerStyle {
  height: 100%;
  max-width: 1200px;
  -webkit-overflow-scrolling: touch;
  margin: 0 auto 0;
}

.startbogstav {
  width: 110px;
  float: left;
  /* -webkit-filter: drop-shadow(8px 8px 10px#aaa);
  filter: drop-shadow(8px 8px 10px #aaa);   */
  padding: 8px 10px 0 0;
}

.kilder .startbogstav {
  vertical-align: text-bottom;
  float: none;
  padding: 0;
}

/*      vvvv    Modal til billeder   vvvv      */

.image, .topIcon {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.image:hover {
  opacity: 0.5;
  transform: scale(1.01);
  cursor: zoom-in;  
}

/* The Modal (background) */
.modalImageStyle {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.85);
}

.modalStyle {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 145px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.7);
  -webkit-overflow-scrolling: touch;
  -webkit-filter: drop-shadow(8px 8px 10px #888888);
  filter: drop-shadow(8px 8px 10px #888888); 
}

/* Modal Content (image) */
.modalContent {
  margin: auto;
  display: block;
  width: 100%;
}

.modalGlobeContent {
  margin: auto;
  display: block;
  top: 50%;
  width: 100%;
  height: 90%;
  max-width: 1000px;
  border: none;
}

.modalTreeContent {
  margin: auto;
  display: block;
  top: 50%;
  width: 100%;
  max-width: 1300px;
  min-width: 800px;
}

.myCanvas {
  margin: auto;
}

/* Caption of Modal Image */
#caption {
  margin: auto;
  display: block;
  width: 95%;
  /* max-width: 1200px; */
  text-align: justify;
  font-style: italic;
  color: var(--stdWhite);
  padding: 10px 0;
  height: 150px;
}

/* Add Animation */
.modalContent, .modalGlobeContent, .modalTreeContent, #caption {  
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {-webkit-transform:scale(0)} 
  to {-webkit-transform:scale(1)}
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 40px;
  right: 35px;
  color: var(--stdDark);
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #A88137;
  text-decoration: none;
  cursor: pointer;
  transform: rotate(90deg) scale(1.5);
}

.col-3 {width: 0;
}

@media only screen and (min-width: 768px) {
  .topIcon {
    height: 70px;
    right: 70px;}
  .close {top: 100px; right: 10%; position: fixed;}
  .navbar {position: fixed;}
  .navbar ul {padding: 0 auto;}
  h2 {margin: 0; padding: 80px 0 0 0;}
  .col-1 {width: 7.5%;}
  .col-2 {width: 15%;}
  .col-3 {width: 15%;}
  .col-4 {width: 33.33%;}
  .col-5 {width: 41.66%;}
  .col-6 {width: 70%;}
  .col-7 {width: 58.33%;}
  .col-8 {width: 66.66%;}
  .col-9 {width: 75%;}
  .col-10 {width: 83.33%;}
  .col-11 {width: 91.66%;}
  .col-12 {width: 100%;}
  .btn-group button {
    visibility: hidden;
    width: 80%;
  }
  .modalContent {
    width: 70%;
  }
  #caption {
    width: 70%;
  }

  #image {cursor: zoom-in;}
  #image:active {
    margin: 50px 0;
    display: block;
    width: 100%;
    cursor: zoom-out;
  }
}

@media only screen and (min-width: 1024px) {
  .navbar {text-align: left;}
  .navbar ul {
    padding: 0 0 0 28%;
    text-align: left;}
  .col-1 {width: 14.5%;}
  .col-2 {width: 15%;}
  .col-3 {width: 25%;}
  .col-4 {width: 33.33%;}
  .col-5 {width: 41.66%;}
  .col-6 {width: 50%;}
  .col-7 {width: 58.33%;}
  .col-8 {width: 66.66%;}
  .col-9 {width: 75%;}
  .col-10 {width: 83.33%;}
  .col-11 {width: 91.66%;}
  .col-12 {width: 100%;}
  .btn-group button {
    visibility: visible;
  }
}

/* vvvvvvvvvv   kalender   vvvvvvvvvv */

.kalenderside h2 {
  color: var(--stdWhite);
  padding:20px 0 0 20px;
  background-color:var(--stdDark);
  text-shadow: none;
}
.kalenderside h3 {
  color: var(--stdWhite);
  padding:10px 0 30px 20px;
  margin: 0;
  background-color:var(--stdDark);
  text-shadow: none;
}

.kalender {
  position: relative;
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.kalender:before {
    content: "";
    width: 4px;
    height: 100%;
    background-color: var(--stdDark);
    position: absolute;
    top: 0;
}

.kalender__box {
    position: relative;
}

.kalender__box a:link {
  color: var(--stdBlack);
  text-decoration: none;
}

.kalender__box a:visited {
  color: var(--stdBlack)
}

.kalender__box a:hover {
  color: var(--stdBlack );
  text-decoration: none;
}

.kalender__mand:hover {
  transform: scale(1.08);
}

.kalender__dame:hover {
  transform: scale(1.08);
}

.kalender__par:hover {
  transform: scale(1.08);
}

.kalender__box:not(:last-of-type) {
  margin-bottom: 30px;
}

.kalender__box:before {
  content: "";
  width: 120px;
  height: 2px;
  background-color: var(--stdDark);
  position: absolute;
  left: 0;
  transition: all .4s ease-in-out;    
}

.kalender__dato {
  width: 84px;
  /* min-height: 56px */
  position: absolute;
  left: 0;
  box-sizing: border-box;
  padding: 1rem 0;
  text-align: center;
  background-color: var(--stdDark);
  color: var(--stdWhite);
  font-size: 1.3rem;  
  font-weight: 700;
  display: block;
}

.kalender__mand {
  padding: 1rem 2rem;
  border-radius: 2px;
  border-left: 10px solid blue;
  /* box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .12), 0 1px 2px 0 rgba(0, 0, 0, .24); */
  background-color: lightblue;
  transition: all .4s ease-in-out;
}

.kalender__dame {
  padding: 1rem 2rem;
  border-radius: 2px;
  border-left: 10px solid red;
  /* box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .12), 0 1px 2px 0 rgba(0, 0, 0, .24); */
  background-color: pink;
  transition: all .4s ease-in-out;
}
.kalender__par {
  padding: 1rem 2rem;
  border-radius: 2px;
  border-left: 10px solid green;
  /* box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .12), 0 1px 2px 0 rgba(0, 0, 0, .24); */
  background-color: lightgreen;
  transition: all .4s ease-in-out;
}

@media only screen and (min-width: 768px){

  .kalender:before {
    left: 40px;
  }

  .kalender__box {
    padding-left: 120px;
  }

  .kalender__box:before {
    top: 50%;
    transform: translateY(-50%);  
  }  

  .kalender__dato {
    top: 50%;
    margin-top: -27px;
  }
  /* .kalenderside {
    background: url("baggrund.jpg") no-repeat center fixed; 
  } */
}

@media only screen and (max-width: 767px) {

  .kalender:before {
    left: 0;
  }
  .kalender__box {
    padding-left: 20px;
    padding-top: 70px;
  }
  
  .kalender__box:before {
    top: 90px;
    width: 20px;
  }    

  .kalender__dato {
    top: 0;
  }
}

.kalender {
  --kalenderMainColor: var(--stdDark);
  font-size: 16px;
}

.kalenderside p {
  margin-top: 0;
  margin-bottom: 1.5rem;
  line-height: 1.5;
}

.kalenderside p:last-child {
  margin-bottom: 0;
} 

.kalenderside {
  font-size: 40%;
  min-height: 100vh;
  flex-direction: column;
  justify-content: space-around;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Open Sans, Ubuntu, Fira Sans, Helvetica Neue, sans-serif;
  color: var(--stdBlack);
  /* background-color: #bbb;  */
  margin: 0;
  -webkit-overflow-scrolling: touch;   
  overflow-y: scroll;
  max-width: 960px;
  padding: 10px 2rem 30px;
  margin-left: auto;
  margin-right: auto;
}

/* vvvvvvvvvv   Register og søgning   vvvvvvvvvv */

#myInput {
  background-image: url('ikoner/searchicon.png');
  background-position: 10px 10px;
  background-repeat: no-repeat;
  width: 100%;
  font-size: 16px;
  padding: 12px 20px 12px 40px;
  border: 1px solid #ddd;
  margin-bottom: 12px;
}

#myTable {
  margin: 90px 0 0 0;
  border-collapse: collapse;
  width: 100%;
  font-size: 1em;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  color: #AD998C;
}

#myTable th {
  text-align: left;
  padding: 0;
}

#myTable td {
  text-align: left;
  padding: 3px;
}

#myTable tr {
  border-bottom: 1px solid #999;
  transition: all .4s ease-in-out;
}

#myTable td a {
  color: #D9C8BD;
  /* text-decoration: none; */
}

#myTable td a:hover {
  color: #55463C;
  text-decoration: none;
}

#myTable tr:hover {
  transform: scale(1.03);
  color: #D9D4BD;
}